<template>
  <section>
    <span class="arrow arrow-left button" @click="emitChange('decrease')"></span>
    <p class="button center">{{getCurrentNumberPage}}</p>
    <span class="arrow arrow-rigth button" @click="emitChange('increase')"></span>
    <p>Total: {{getTotalPages}}</p>
  </section>
</template>

<script>
import { mapGetters } from 'vuex'
export default {
  name: 'Pagination',
  props: {
    numberPage: Number
  },
  computed: {
    ...mapGetters([
      'getCurrentNumberPage',
      'getTotalPages'
    ])
  },
  methods: {
    emitChange(val) {
      this.$emit('changePagintaion', val)
    }
  }
}
</script>

<style lang="sass" scoped>
section
  display: flex
  width: 220px
  justify-content: space-between
  align-items: center
  margin: 0 auto
  color: white
.button
  padding: 4px
  width: 35px
  height: 30px
.arrow
  height: 30px
  width: 30px
  background-size: 30px 30px
  background-position: center
  background-repeat: no-repeat, repeat
  display: block
  cursor: pointer
.arrow-left
  background-image: url("../../shared/assets/arrow.svg")
  -webkit-transform: rotate(180deg)
  -ms-transform: rotate(180deg)
  transform: rotate(180deg)
.arrow-rigth
  background-image: url("../../shared/assets/arrow.svg")
</style>